(* This converts IBK file to include file  *)
(* Usage MAKEMBNK <bank.ibk> <include.inc> *)

uses pstrings;
var f1:file;
    f2:text;
    a:array[0..15] of byte;
    i,j:byte;
begin
 if ParamCount<>2 then begin
  writeln('Usage MAKEMBNK <bank.ibk> <include.inc>');
  halt;
 end;
 assign(f1,paramstr(1));
 reset(f1,1);
 assign(f2,paramstr(2));
 rewrite(f2);
 seek(f1,4);
 for i:=0 to 127 do begin
  blockread(f1,a,16);
  write(f2,'(');
  for j:=0 to 9 do write(f2,'$'+rightstr(hexstr(a[j]),2)+',');
  write(f2,'$'+rightstr(hexstr(a[10]),2)+')');
  if i<>127 then writeln(f2,',');
 end;
 close(f1);
 close(f2);
end.

