(*
This exec-routine gives all the heap free before executing the shell.
Author unknown. Released to public domain.
With this you may run batch files as well as child-programs;
filters and pipelines ("<" and "|") are also allowed.
*)

function DosShell(Command:string):integer;

 (* Returns DOS 'resize memory block' function error code *)
 (* or zero on success.                                   *)

var OldHeapEnd,NewHeapEnd:word;
    Error:integer;
begin
 Error:=0;
 If MemAvail<$1000 then Error:=8;
 If Error=0 then begin
  NewHeapEnd:=Seg(HeapPtr^)-PrefixSeg;
  OldHeapEnd:=Seg(HeapEnd^)-PrefixSeg;
  asm
   mov ah,4Ah
   mov bx,NewHeapEnd
   mov es,PrefixSeg
   Int 21h
   jnc @EXIT
   mov Error,ax
   @EXIT:
  end; 
  If Error=0 then begin
   SwapVectors;
   Exec(GetEnv('COMSPEC'),command);
   SwapVectors;
   asm
    mov ah,4Ah
    mov bx,OldHeapEnd
    mov es,PrefixSeg
    Int 21h
    jnc @EXIT
    mov Error,ax
    @EXIT:
   end; 
  end;  
 end;   
 DosShell:=Error;
end;    

